#include <VWeb.h>

namespace VWeb {
bool Session::IsValid() {
  auto call = std::chrono::system_clock::now();
  auto time =
      std::chrono::duration_cast<std::chrono::seconds>(call - m_LastCall)
          .count();
  return time < TTLSeconds;
}

void Session::Update() { m_LastCall = std::chrono::system_clock::now(); }

void Session::Remove(const std::string &key) {
  if (m_Data.contains(key))
    m_Data.erase(key);
}

bool Session::Has(const std::string &key) { return m_Data.contains(key); }
} // namespace VWeb